require 'date'

# Convert to tuple format e.g. [1,2] -> "(1,2)"
def tuple_string(ary)
  "(" + ary.map(&:to_s).join(",") + ")"    
end

# "92:A0:75:A8:AE:AA" -> "92a075a8aeaa"
def normalize_ble_mac(s)
  s.gsub(/:/,'').downcase
end

# "92a075a8aeaa" -> "92:A0:75:A8:AE:AA"
def pretty_ble_mac(s)
  s.scan(/../).join(':').upcase
end

# "92a075a8aeaa" -> "aaaea875a092"
def reverse_ble_mac(s)
  s.scan(/../).reverse.join
end

# "2023-09-20T16:00:26+02:00" -> 1672527600
def time_str_to_i(s)
  DateTime.parse(s).to_time.to_i
end
